package com.hzya.frame.ttxofs.dto;

import com.hzya.frame.ttxofs.basics.InterfaceBasics;

/**
 * OFS基础入参类
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.ttxofs.basics
 * @Project：kangarooDataCenterV3
 * @name：InterfaceBasics
 * @Date：2024/7/30 11:39
 * @Filename：InterfaceBasics
 */
public class InterfaceParamDto extends InterfaceBasics {

    private String api;

    private String format = "json";

    private String appKey = "1023142858";
//    private String appKey = "2097046829";

    private String v = "1.0";

    private String sign;

    private String secret = "382e4a2584027a36ac9431103";
//    private String secret = "35282f251476a3af4f00c7b36";

    private String timestamp;

    private String data;

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getApi() {
        return api;
    }

    public void setApi(String api) {
        this.api = api;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getV() {
        return v;
    }

    public void setV(String v) {
        this.v = v;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

}